REM Batchup was created by Bernd Herale

:START
ECHO off
CLS
set IN_PUT=
REM Check if the file a8rawconv.exe ist avalible
if not exist a8rawconv.exe goto error_0

Echo.
ECHO.
Echo.
ECHO.
Echo.
ECHO.
Echo Original Atari disk to ATX-file to SCP-file converter
ECHO.
Echo Please input the file name
Echo.  	    
Echo.
ECHO.                            

set /p  IN_PUT=___Filename:

If "%IN_PUT%" =="" goto HELP

md %IN_PUT%

a8rawconv.exe scp0:96tpi %IN_PUT%\%IN_PUT%".scp" > NUL 
a8rawconv.exe -b -l %IN_PUT%\%IN_PUT%".scp" %IN_PUT%\%IN_PUT%".atx" > %IN_PUT%\%IN_PUT%.txt
goto END

:HELP
CLS
echo.
echo.
echo.
echo This a8rawcon.exe program converts an original copy-protected atari 8bit floppy disk into an atx- and scp-file
echo To do this, you must have the hardware SuperCardPro interface including floppy station 
echo All information about the copied floppy disk is in a text file with the same file name.
echo.
echo.
echo More information about a8rawcon.exe program on Atariage
echo http://atariage.com/forums/topic/231835-a8rawconv-a-new-raw-disk-conversion-utility/  
echo.
echo.
echo.
echo.

Pause
goto START



:error_0
CLS
echo.
echo.
echo     Please check your folder, missing a8rawconv.exe 
echo.
echo.
PAUSE
GOTO EXIT

:END
echo.
echo.
echo.
echo.
echo           File was written
echo.
echo   Press Return to start a new disk
echo   Input any other key or name to quit
echo.
echo.
set /p  next_disk=Next_Disk?:

If "%next_disk%" =="" goto START

:EXIT

